# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
#
# Copyright 1997-2010 Oracle and/or its affiliates. All rights reserved.
#
# Oracle and Java are registered trademarks of Oracle and/or its affiliates.
# Other names may be trademarks of their respective owners.
#
# The contents of this file are subject to the terms of either the GNU
# General Public License Version 2 only ("GPL") or the Common
# Development and Distribution License("CDDL") (collectively, the
# "License"). You may not use this file except in compliance with the
# License. You can obtain a copy of the License at
# http://www.netbeans.org/cddl-gplv2.html
# or nbbuild/licenses/CDDL-GPL-2-CP. See the License for the
# specific language governing permissions and limitations under the
# License.  When distributing the software, include this License Header
# Notice in each file and include the License file at
# nbbuild/licenses/CDDL-GPL-2-CP.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the GPL Version 2 section of the License file that
# accompanied this code. If applicable, add the following below the
# License Header, with the fields enclosed by brackets [] replaced by
# your own identifying information:
# "Portions Copyrighted [year] [name of copyright owner]"
#
# Contributor(s):
#
# The Original Software is NetBeans. The Initial Developer of the Original
# Software is Sun Microsystems, Inc. Portions Copyright 1997-2006 Sun
# Microsystems, Inc. All Rights Reserved.
#
# If you wish your version of this file to be governed by only the CDDL
# or only the GPL Version 2, indicate your decision by adding
# "[Contributor] elects to include this software in this distribution
# under the [CDDL or GPL Version 2] license." If you do not indicate a
# single choice of license, a recipient has the option to distribute
# your version of this file under either the CDDL, the GPL Version 2 or
# to extend the choice of license to its licensees as provided above.
# However, if you add GPL Version 2 code and therefore, elected the GPL
# Version 2 license, then the option applies only if the new code is
# made subject to such option by the copyright holder.

## DiffAction.java
CTL_MenuItem_Diff=&Diff
## ExportDiffAction.java
CTL_MenuItem_ExportDiff = E&xport Diff...
## ExportDiffChangesAction.java
CTL_MenuItem_ExportDiffChanges = &Export Uncommitted Changes...
## ExportBundleAction.java
CTL_MenuItem_ExportBundle = Export Changeset &Bundle...
## ImportDiffAction.java
CTL_MenuItem_ImportDiff = Im&port Changesets...

## DiffTopComponent.java
ACSN_Diff_Top_Component = Diff
ACSD_Diff_Top_Component = Diff

## DiffMainPanel.java
CTL_DiffPanel_Title = {0} [ Diff ]
MSG_DiffPanel_NoContent = Fetching Files from Repository. Please wait ...
MSG_DiffPanel_NoFileSelected = <No File Selected>
CTL_DiffPanel_Next_Tooltip=Go to Next Difference
CTL_DiffPanel_Prev_Tooltip=Go to Previous Difference
CTL_CommitDiff_Tooltip=Commit All

MSG_UpdateDiff_Tooltip = Update "{0}"
MSG_CommitDiff_Tooltip = Commit "{0}"
MSG_DiffPanel_BaseRevision = Base ({0})
MSG_DiffPanel_LocalModified = Locally Modified (Based On {0})
MSG_DiffPanel_LocalConflict = Local Conflict (Based On {0})
MSG_DiffPanel_LocalNew = Locally New
MSG_DiffPanel_LocalDeleted = Locally Deleted
MSG_DiffPanel_LocalCopied = Locally Copied
MSG_DiffPanel_LocalRenamed = Locally Renamed
MSG_DiffPanel_NoLocalChanges = <No Local Changes> 
MSG_DiffPanel_NoRemoteChanges = <No Remote Changes> 
MSG_DiffPanel_NoAllChanges = <No Local or Remote Changes> 
MSG_Refresh_Progress=Updating Statuses...

CTL_ExportForm_Action_Export=E&xport
ACSN_ExportForm_Action_Export=Export
ACSD_ExportForm_Action_Export=Export
CTL_ExportForm_Action_Cancel=Can&cel
ACSN_ExportForm_Action_Cancel=Cancel
ACSD_ExportForm_Action_Cancel=Cancel
CTL_ExportDialog=Export Diff
ACSD_ExportDialog=Export Diff
CTL_ExportFileDialog=Export File Diff
ACSD_ExportFileDialog=Export File Diff
LBL_ExportDiff_Progress=Exporting Patches
CTL_Setup_NotCommitted = - not yet committed

LBL_EXPORT_INFO = (for contents of files in this changeset refer to Show History)
ACSD_BrowseFolder = Lets you browse for directory for mercurial patch file.
Browse_title=Browse for the Patch File
Folders=Folders
OK_Button=OK

LBL_ImportDiff_Progress=Importing Patches

BK3005=Replace existing {0} file?

ACSD_ImportBrowseFolder = Lets you browse for mercurial changeset file.
ImportBrowse_title=Browse for the Changeset File
Import=Import
#~

MSG_Refreshing_Revisions = Refreshing Revisions
MSG_EXPORT_NOTHING = No revisions available, nothing to export.
ExportDiffPanel.revisionsLabel.text= &Choose from Revisions:
ExportDiffPanel.revisionsLabel.text.forFileDiff=&Export File Diff:
MSG_EXPORT_FILE= exporting diff of {0}: rev {1} to {2}
ExportDiffPanel.exportHintLabel.text.forFileDiff = (for contents of files in this changeset refer to Show History)
ExportDiffPanel.browseButtonl.text=&Browse...

MSG_EXPORT_TITLE =     Mercurial Export Diff
MSG_EXPORT_TITLE_SEP = ---------------------
MSG_EXPORT_FILE_TITLE =     Mercurial Export File Diff
MSG_EXPORT_FILE_TITLE_SEP = --------------------------
# Capitalized letters used intentionally to emphasize the words in an output window, should be translated
MSG_EXPORT_FILE_DONE = INFO: End of Export File Diff
# Capitalized letters used intentionally to emphasize the words in an output window, should be translated
MSG_EXPORT_DONE = INFO: End of Export Diff

MSG_EXPORT_BUNDLE_TITLE =     Mercurial Export Changeset Bundle
MSG_EXPORT_BUNDLE_TITLE_SEP = ---------------------
# Capitalized letters used intentionally to emphasize the words in an output window, should be translated
MSG_EXPORT_BUNDLE_DONE = INFO: End of Export Changeset Bundle
MSG_EXPORT_BUNDLE_PROGRESS = Exporting revisions up to {0} with base revision {1} to {2}
ExportBundlePanel.infoLabel.text=Export changesets up to selected revision
ExportBundlePanel.infoLabel2.text=(updates the working dir to the first parent of the stripped revision)
LBL_ExportBundle_Progress = Exporting Changeset Bundle...
CTL_ExportBundleDialog_Action_Export=&Export
ACSD_ExportBundleDialog_Action_Export=Export
ACSN_ExportBundleDialog_Action_Export=Export
CTL_ExportBundleDialog_Action_Cancel=&Cancel
ACSD_ExportBundleDialog_Action_Cancel=Cancel
ACSN_ExportBundleDialog_Action_Cancel=Cancel
CTL_ExportBundleDialog_Title=Export changesets
ACSD_ExportBundleDialog=Export changesets

MSG_IMPORT_TITLE =     Mercurial Import
MSG_IMPORT_TITLE_SEP = ----------------
# Capitalized letters used intentionally to emphasize the words in an output window, should be translated
MSG_IMPORT_DONE = INFO: End of Import
CTL_Import_BundleOption=Import as changeset &bundle
CTL_Import_PatchOption=Import as &patch

MSG_UNBUNDLE_TITLE =     Mercurial Unbundle
MSG_UNBUNDLE_TITLE_SEP = --------------
MSG_UNBUNDLE_MERGE_CONFIRM_TITLE = Confirm Merge after Unbundle
MSG_UNBUNDLE_MERGE_CONFIRM_QUERY = Unbundle has completed and Merge is Required.\nMerge the unbundled changes now?
MSG_UNBUNDLE_MERGE_UNCOMMITTED_CONFIRM_QUERY = Unbundle has completed and there were uncommitted merges.\nMerge is Required.\nMerge the unbundled changes now?
# Capitalized letters used intentionally to emphasize the words in an output window, should be translated
MSG_UNBUNDLE_MERGE_DO = INFO MERGE: Performing Merge with unbundled changes
# Capitalized letters used intentionally to emphasize the words in an output window, should be translated
MSG_UNBUNDLE_DONE = INFO: End of Mercurial Unbundle

MSG_DIFF_TITLE =     Mercurial Diff
MSG_DIFF_TITLE_SEP = --------------
# Capitalized letters used intentionally to emphasize the words in an output window, should be translated
MSG_DIFF_NOT_SUPPORTED_INVIEW_INFO = INFO: Diff is not supported in this View
MSG_DIFF_NOT_SUPPORTED_INVIEW = Diff is not supported in this View.
MSG_DIFF_NOT_SUPPORTED_INVIEW_TITLE = Mercurial Diff

CTL_DiffTable_Column_Name_Title = File
CTL_DiffTable_Column_Name_Desc = Name of the file
CTL_DiffTable_Column_Property_Title = Property
CTL_DiffTable_Column_Property_Desc = Name of the property
CTL_DiffTable_Column_Status_Title = Status
CTL_DiffTable_Column_Status_Desc = Versioning status of the resource
CTL_DiffTable_Column_Location_Title = Location
CTL_DiffTable_Column_Location_Desc = Repository location of the resource
ACSN_DiffTable = Diff view
ACSD_DiffTable = Shows lists of files that have changed

refreshButton.toolTipText=Refresh Diff

MSG_Fetching_Revisions = Fetching Revisions...
ACSD_browseButton=Browse for output file
ACSD_outputFileTextField=Specifies the name of the file to which the revisions is exported
ACSD_revisionsComboBox=Specifies the revision to be exported
ExportDiffPanel.jLabel1.text=Export Diffs for all files in the selected revision

MSG_EXPORT_CHANGES_TITLE =     Mercurial Export Changes
MSG_EXPORT_CHANGES_TITLE_SEP = ------------------------
# Capitalized letters used intentionally to emphasize the words in an output window, should be translated
MSG_EXPORT_CHANGES_DONE = INFO: End of Export Changes
MSG_EXPORT_CHANGES = Exporting uncommitted changes to \n{0}
MSG_Export_Changes_Exporting = Exporting changes in {0} ...
LBL_ExportChanges_Progress=Exporting Changes
CTL_Export_Title = Export Diff Patch
CTL_Export_ExportAction = Export
MNE_Export_ExportAction = E
ACSD_Export = Lets you choose name and location of exported path file.
BK3001=In selected context there is nothing to export\!
BK3002=Patch Files (*.diff, *.patch)
BK3003=Diff patch export failed\!
#{0} count
BK3004=Diff patch exported {0} diffs.
ExportAsFilePanel.browseButton.text=&Browse...
ExportAsFilePanel.fileLabel.text=&Output File:

LBL_Diff_NoFolderDiff=[No Content, This is a Folder]
LBL_Diff_NoBinaryDiff=[No Diff, Binary Value]
LBL_Diff_Anonymous=anonymous
LBL_Diff_NoLocalFile=\tNo local file
ExportDiffPanel.AccessibleContext.accessibleDescription=N/A
ExportBundlePanel.lblBaseRevision.text=Base revisi&on:
ExportBundlePanel.btnBaseRevision.text=Select Ba&se
ExportBundlePanel.lblTopRevision.text=Revision:
ExportBundlePanel.txtTopRevision.text=
ExportBundlePanel.btnTopRevision.text=Select &Revision
ACSD_ExportBundlePanel_BaseRevision=A base changeset, selecting null will export all changeset up to given revision
ACSD_ExportBundlePanel_ToRevision=A changeset up to which you would like to bundle
CTL_ExportBundle.ChangesetPicker_Title=Select changeset
ExportBundle.ChangesetPicker.jLabel1.text=Select a revision from the list
ExportBundle.ChangesetPicker.AccessibleContext.accessibleDescription=N/A
CTL_ExportBundle.ChangesetPicker_SelectButton=&Select
CTL_ExportBundle_FileMask=Bundle Files (*.hg, *.bundle)
CTL_Attaching=Attaching Changeset Bundle ...
